> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Task

> Update task fields. Status changes are auto-logged to the activity feed.
Manages completed_at / cancelled_at timestamps to satisfy DB constraints.



## OpenAPI

````yaml /openapi.json patch /customers/{customer_id}/tasks/{task_id}
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /customers/{customer_id}/tasks/{task_id}:
    patch:
      tags:
        - Customers
      summary: Update Task
      description: >-
        Update task fields. Status changes are auto-logged to the activity feed.

        Manages completed_at / cancelled_at timestamps to satisfy DB
        constraints.
      operationId: update_task_customers__customer_id__tasks__task_id__patch
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Customer Id
        - name: task_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Task Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TaskUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TaskUpdateRequest:
      properties:
        title:
          anyOf:
            - type: string
              maxLength: 500
              minLength: 1
            - type: 'null'
          title: Title
        due_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Due At
        assigned_to:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Assigned To
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
      type: object
      title: TaskUpdateRequest
    TaskResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        customer_id:
          type: string
          format: uuid
          title: Customer Id
        assigned_to:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Assigned To
        assigned_to_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Assigned To Name
        created_by:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Created By
        created_by_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By Name
        title:
          type: string
          title: Title
        due_at:
          type: string
          format: date-time
          title: Due At
        status:
          type: string
          title: Status
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        cancelled_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Cancelled At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - customer_id
        - title
        - due_at
        - status
        - completed_at
        - cancelled_at
        - created_at
        - updated_at
      title: TaskResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````